Skip to navigation

Add a new recipient

Create a new recipient for making payments

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Request

This endpoint expects an object.
emailslist of stringsRequired
namestringRequired
addressobjectOptional
Deprecated. Use checkInfo instead.
checkInfoobjectOptional
Information needed to send a physical check.
contactEmailstringOptional
Contact email address of the recipient
domesticWireRoutingInfoobjectOptional
Information needed to send a domestic wire.
electronicRoutingInfoobjectOptional
Information needed to send an ACH.
nicknamestringOptional

Response

attachmentslist of objects
Tax form attachments for this recipient.
defaultPaymentMethodenum
The preferred payment method for this recipient.
Allowed values:
emailslist of strings
List of email addresses associated with this recipient.
idstringformat: "uuid"
Unique identifier for the recipient.
namestring
Display name of the recipient.
statusenum

Recipient status (active, deleted, etc.).

Allowed values:
addressobject or nullOptional
checkInfoobject or nullOptional
Check mailing information.
contactEmailstring or nullOptional
Primary contact email for the recipient.
dateLastPaidstring or nullOptionalformat: "yyyy-mm-ddThh:MM:ssZ"
Date of the most recent payment to this recipient.
defaultAddressobject or nullOptional
domesticWireRoutingInfoobject or nullOptional
Domestic wire transfer routing information.
electronicRoutingInfoobject or nullOptional
ACH routing information for electronic payments.
internationalWireRoutingInfoobject or nullOptional
International wire transfer routing information.
isBusinessboolean or nullOptional
nicknamestring or nullOptional

User-defined nickname for the recipient.

realTimePaymentRoutingInfoobject or nullOptional

Errors

400
Bad Request Error